=== debian/changelog ===
xenopsd (0.9.44-1) UNRELEASED; urgency=low

  * Update to 0.9.44

 -- David Scott <dave.scott@citrix.com>  Mon, 22 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-4) UNRELEASED; urgency=low

  * Add a search-path to the xenopsd.conf

 -- David Scott <dave.scott@citrix.com>  Mon, 08 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-3) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-2) UNRELEASED; urgency=low

  * Reinstate xenlight package in CentOS

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-1) UNRELEASED; urgency=low

  * Update to 0.9.43 which supports OCaml 4.01.0

 -- David Scott <dave.scott@citrix.com>  Sun, 24 Aug 2014 12:00:00 +0000

xenopsd (0.9.41-1) UNRELEASED; urgency=low

  * Update to 0.9.41: now pygrub, eliloader, hvmloader and vncterm
    are optional

 -- David Scott <dave.scott@citrix.com>  Fri, 22 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-5) UNRELEASED; urgency=low

  * vncterm-wrapper: ensure the groups are added on startup.

 -- David Scott <dave.scott@citrix.com>  Fri, 22 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-4) UNRELEASED; urgency=low

  * Add a vncterm-wrapper: needed to locate the qemu keymaps

 -- David Scott <dave.scott@citrix.com>  Fri, 22 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-2) UNRELEASED; urgency=low

  * Include {vbd,vif}-xl in the package

 -- David Scott <dave.scott@citrix.com>  Thu, 21 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-1) UNRELEASED; urgency=low

  * Update to 0.9.39 which compiles without warnings

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Wed, 20 Aug 2014 12:00:00 +0000

xenopsd (0.9.38-1) UNRELEASED; urgency=low

  * Update to 0.9.38 with better libxl support

 -- David Scott <dave.scott@citrix.com>  Tue, 19 Aug 2014 12:00:00 +0000

xenopsd (0.9.37-1) UNRELEASED; urgency=low

  * Depend on the ocaml-xen-lowlevel-libs-runtime package
  * Don't include xenguest: this now comes from ocaml-xen-lowlevel-libs

 -- David Scott <dave.scott@citrix.com>  Sat, 21 Jun 2014 12:00:00 +0000

xenopsd (0.9.34-1) UNRELEASED; urgency=low

  * Update to 0.9.34, restoring fixes from the 0.9.32 line which were 
    not merged to trunk before 0.9.33 was tagged

 -- Euan Harris <euan.harris@eu.citrix.com>  Fri, 17 Jan 2014 12:00:00 +0000

xenopsd (0.9.33-1) UNRELEASED; urgency=low

  * Update to 0.9.33, with fixes for suspending and resuming HVM guests

 -- Euan Harris <euan.harris@eu.citrix.com>  Wed, 04 Dec 2013 12:00:00 +0000

xenopsd (0.9.32-1) UNRELEASED; urgency=low

  * Update to 0.9.32, with udev fix (no more "task was asynchronously cancelled")

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 28 Oct 2013 12:00:00 +0000
