=== debian/control ===
Source: xenopsd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libcohttp-ocaml-dev,
 libcmdliner-ocaml-dev,
 libuuidm-ocaml-dev,
 blktap-utils,
 libxenstore-ocaml-dev,
 ocaml-native-compilers,
 libvirt-ocaml-dev,
 libvirt-bin,
 libsexplib-camlp4-dev,
 ocaml-nox,
 libvirt-dev,
 blktap-dev,
 ocaml-findlib,
 libqmp-ocaml-dev,
 libxcp-inventory-ocaml-dev,
 libxcp-rrd-ocaml-dev,
 liboclock-ocaml-dev,
 libxcp-idl-ocaml-dev,
 forkexecd-dev,
 dh-ocaml (>= 0.9),
 qemu-system-x86,
 ocaml-xen-lowlevel-libs-dev,
 uutf-ocaml-dev,
 libfindlib-ocaml-dev,
 python,
 debhelper (>= 8),
 libxenstore-clients-ocaml-dev,
 librpc-ocaml-dev,
 libxen-dev

Package: xenopsd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 message-switch,
 lsb-base,
 xenops-cli,
 vncterm,
 linux-guest-loader,
 ocaml-xen-lowlevel-libs-runtime
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Simple VM manager
 Simple VM manager for the xapi toolstack.

Package: xenopsd-libvirt
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1),
 libvirt0,
 libvirt-bin
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd using libvirt
 Simple VM manager for Xen and KVM using libvirt.

Package: xenopsd-xc
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1),
 forkexecd,
 vncterm,
 libxen-4.4
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd using xc
 Simple VM manager for Xen using libxc.

Package: xenopsd-simulator
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd simulator
 A synthetic VM manager for testing.

Package: xenopsd-xenlight
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd using libxenlight
 Simple VM manager for Xen using libxenlight
