=== debian/changelog ===
xenopsd (0.9.46-3) UNRELEASED; urgency=low

  * Backport libxl blkback fix

 -- David Scott <dave.scott@citrix.com>  Thu, 05 Feb 2015 12:00:00 +0000

xenopsd (0.9.46-2) UNRELEASED; urgency=low

  * Attempt to backport libxl workaround

 -- David Scott <dave.scott@citrix.com>  Wed, 28 Jan 2015 12:00:00 +0000

xenopsd (0.9.46-1) UNRELEASED; urgency=low

  * Update to 0.9.46

 -- David Scott <dave.scott@citrix.com>  Wed, 21 Jan 2015 12:00:00 +0000

xenopsd (0.9.45-2) UNRELEASED; urgency=low

  * Add patch to fix the upstream qemu 4MiB videoram issue
  * Add patch to fix the device id upgrade issue

 -- David Scott <dave.scott@citrix.com>  Sun, 19 Oct 2014 12:00:00 +0000

xenopsd (0.9.45-1) UNRELEASED; urgency=low

  * Update to 0.9.45

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000
