=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  ocaml-native-compilers,
  libvirt-ocaml-dev,
  libvirt-bin,
+ ocaml-backtrace-dev,
  libsexplib-camlp4-dev,
  ocaml-nox,
  libvirt-dev,
@@ -57,7 +58,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1),
+ xenopsd (>= 0.9.46-3),
  libvirt0,
  libvirt-bin
 Provides: ${ocaml:Provides}
@@ -71,7 +72,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1),
+ xenopsd (>= 0.9.46-3),
  forkexecd,
  vncterm,
  libxen-4.4
@@ -86,7 +87,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1)
+ xenopsd (>= 0.9.46-3)
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Xenopsd simulator
@@ -98,7 +99,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1)
+ xenopsd (>= 0.9.46-3)
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Xenopsd using libxenlight
